//+------------------------------------------------------------------+//| CTrader_Close //  BluePearl @ forex-tsd.com                 //+------------------------------------------------------------------+

/*
1. CTrader_Add.mq4 will open automatically all 13 positions when placed on a chart 
   with the chosen lot size. make sure to give the core position a different magic number than 
   the added positions. give the added positions all the same magic number. after all positions 
   are opened, remove EA from chart.
2. CTrader_Close.mq4 will close all of the positions with a given magic number. input the magic 
   number of the added positions and the core positions will not be touched. 
   after all added positions have been closed, remove EA from chart.
*/
extern int Magic = 10003;
int start()
{
  int total = OrdersTotal();
  for(int i=total-1;i>=0;i--)
  {
    OrderSelect(i, SELECT_BY_POS);
    
    if (OrderMagicNumber() == Magic) {
    int type   = OrderType();

    bool result = false;
    
    switch(type)
    {
      //Close opened long positions
      case OP_BUY       : result = OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_BID), 5, Red );
                          break;
      
      //Close opened short positions
      case OP_SELL      : result = OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_ASK), 5, Red );
                          break;
    }
    
    }
    
    if(result == false)
    {
      Alert("Order " , OrderTicket() , " failed to close. Error:" ,   GetLastError() );
      Sleep(3000);
    }  
  }
  
  return(0);
}